%define  patch_name kernel-fix-drivers-char

Name: %patch_name
Version: 2005.08.14
Release: alt1.M30.1

Summary: %patch_name kernel patch - Linux character drivers fixes
License: GPL
Group: Development/Kernel
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

%source  0	2.4_00_rio-makefile-fix.patch				2.4
%source  1	2.4_01_agpgart-via-agp3-support-alt.patch		2.4
%source  6	2.4_06_agpgart-intel-875-alt.patch			2.4
#source  7	2.4_07_pc_keyb-synaptics-touchpad.patch			2.4
%source 14	2.4_14_agpgart-sis-fix.patch				2.4
%source 18	2.4_18_agpgart-via-new-ids.patch			2.4
%source 19	2.4_19_agpgart-sis648fx-agp3.patch			2.4

%source 2600	2.6_00_tpm-init-fixes.patch				2.6
%source 2601	2.6_01_tty_ldisc_ref-null-check.patch			2.6
%source 2602	2.6_02_rocket_c-fix-ldisc-ref-count.patch		2.6
%source 2603	2.6_03_moxa-fix-name.patch				2.6
%source 2604	2.6_04_agpgart-sis-760.patch				2.6


BuildArch: noarch
BuildRequires: kernel-build-tools >= 0.6

%description
Linux character drivers fixes

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Mon Oct 24 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.08.14-alt1.M30.1
- Added:
  + 2.6_04_agpgart-sis-760.patch: amd64-agp: add SiS 760 chip support

* Sun Aug 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.08.14-alt1
- Added:
  + 2.6_02_rocket_c-fix-ldisc-ref-count.patch: rocket: fix ldisc ref count
    handling.
  + 2.6_03_moxa-fix-name.patch: moxa: fix tty driver name which was conflicting
    with the BSD-style pty driver, therefore some ports were inaccessible when
    using udev to manage /dev.

* Mon Jul 25 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.25-alt1
- Added:
  + 2.6_00_tpm-init-fixes.patch: fix tpm driver initialization which was
    messing up other devices
  + 2.6_01_tty_ldisc_ref-null-check.patch: add missing NULL checks in tty ioctl
    code

* Sat Jul 02 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.07.02-alt1
- Updated for kernel 2.6.12.
- Removed obsolete patches:
  - 2.6_00_drm-version-fix.patch
  - 2.6_01_drm-radeon-pciid-fix.patch
  - 2.6_02_mxser-rx-fix.patch

* Mon Jun 13 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.06.13-alt1
- Added patches for 2.6:
  + 2.6_02_mxser-rx-fix.patch: mxser: stop using tty internal structure in
    mxser_receive_chars() (because of the old buggy code there, the driver
    ignored any received characters)

* Mon Mar 14 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.03.14-alt1
- Updated for kernel 2.6.11.
- Removed obsolete patches:
  - 2.6_00_053-ipmi_unhandled_message_counting.patch
  - 2.6_50_agpgart-sis-fix.patch
- Added:
  + 2.6_00_drm-version-fix.patch: fix bug in drm setversion ioctl which could
    crash the X server
  + 2.6_01_drm-radeon-pciid-fix.patch: fix chip type for Radeon Yi ES1000 RN50

* Wed Feb 09 2005 Sergey Vlasov <vsu@altlinux.ru> 2005.02.09-alt1
- Added patches from 2.6.10-as3:
  + 2.6_00_053-ipmi_unhandled_message_counting.patch

* Sat Dec 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.12.25-alt1
- Updated for kernel 2.4.28.
- Updated patches:
  - 2.4_06_agpgart-intel-875-alt.patch

* Sun Oct 17 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.10.17-alt1
- Updated for kernel 2.4.27.
- Removed obsolete patches:
   - 2.4_13_netmos-alt.patch
   - 2.4_15_tipar-fix-timeout.patch
   - 2.4_16_agpgart-ati-igp-345m-rev2.patch
   - 2.4_17_tipar-timeout.patch

* Mon Jun 28 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.06.28-alt1
- Added:
  + 2.4_18_agpgart-via-new-ids.patch: added lots of new Via host bridge PCI IDs
    to agpgart (sync with 2.6.7).
  + 2.4_19_agpgart-sis648fx-agp3.patch: add minimal AGP 3.x support for SiS
    648FX chipset to agpgart (fixes hang at X startup with the radeon driver).
    Backport from 2.6.x.

* Sun May 09 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.05.09-alt1
- Added:
  + 2.4_15_tipar-fix-timeout.patch: disallow setting timeout to 0 to avoid
    divide-by-zero error
  + 2.4_16_agpgart-ati-igp-345m-rev2.patch: add ATI IGP 345M rev2 IDs
  + 2.4_17_tipar-timeout.patch: fix wrong timeout value

* Mon Apr 12 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.04.12-alt1
- Renamed patches with 2.4/2.6 prefixes.
- Added:
  + 2.6_50_agpgart-sis-fix.patch: Workaroung for SiS 648 and 746 AGP problem
    (need to wait for some time after switching AGP modes).
  + 2.4_14_agpgart-sis-fix.patch: the same fix for 2.4.25.

* Mon Feb 23 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.02.23-alt1
- Updated for kernel 2.4.25.
- Removed obsolete patches (merged upstream):
  - 02_module_license-alt.patch
  - 03_agpgart-intel-7x05.patch
  - 04_agpgart-ati-radeon-igp.patch
  - 05_agpgart-via-cle266.patch
  - 08_amd76x_pm-failure-fix.patch
  - 09_pcwd-unregister-fix.patch
  - 10_rtc-busywait-fix.patch
  - 11_tty-oops-fix.patch
  - 12_do_tty_hangup-fput.patch
  - 14_agpgart-ati-radeon-igp-345m.patch

* Sun Jan 25 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.01.25-alt1
- Added:
  + 14_agpgart-ati-radeon-igp-345m.patch: AGP support for ATI IGP 345M.

* Tue Dec 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.12.16-alt1
- Added:
  + 13_netmos-alt.patch: NetMos parallel/serial PCI cards support.

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Added:
  + 10_rtc-busywait-fix.patch
  + 11_tty-oops-fix.patch
  + 12_do_tty_hangup-fput.patch

* Sun Oct 26 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.26-alt1
- Added 08_amd76x_pm-failure-fix.patch: Fix amd67x_pm.c crash with no chipsets
  / CONFIG_HOTPLUG.
- Added 09_pcwd-unregister-fix.patch: pcwd.c: fix oops on unload

* Sun Oct 19 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.10.19-alt1
- removed Synaptics Touchpad support patch because of keyboard/touchpad lockup
  problems

* Thu Oct 16 2003 Alexander Bokovoy <ab@altlinux.ru> 2003.10.16-alt1
- added:
    - Synaptics Touchpad support (patch ported from tpconfig-3.1.3)

* Mon Sep 29 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.29-alt1
- added:
    - 06_agpgart-intel-875-alt.patch - AGP support for Intel 875 (integrated
      video not supported)

* Sun Sep 21 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.21-alt1
- fixed VIA KT400 AGP3 support patch 
- added:
    - 03_agpgart-intel-7x05.patch - AGP support for Intel 7205/7505
    - 04_agpgart-ati-radeon-igp.patch - AGP support for ATI Radeon IGP
    - 05_agpgart-via-cle266.patch - AGP support for Via CLE266

* Tue Sep 16 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.16-alt1
- added 02_module_license-alt.patch: add MODULE_LICENSE("GPL") to synclinkmp
  and synclink_cs modules

* Mon Sep 01 2003 Rider <rider@altlinux.ru> 2003.09.01-alt1
- nvidia and i855 agp support patches removed (in mainstream now)
- added AGP3 support for VIA KT400 chipsets (thanks to Anton Kachalov)

* Mon Aug 11 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.08.11-alt1
- i855 and nvidia agp support patches added.

* Tue Jul 15 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.07.15-alt1
- added:
  + rio-makefile-fix (avoids duplicate modules).
